local inMemConfig

local this = {}

--Static Config (stored right here)
this.static = {
    modName = "Menu des objets",
    modDescription =
    [[Le menu des objets vous permet de naviguer parmi tous les objets du jeu, tris selon les plugins qui les ajoutent, et d'ajouter ceux de votre choix  votre inventaire.]],
    categories = {
        {
            name = "Projectiles",
            objectTypes = {
                [tes3.objectType.ammunition] = true
            },
            resultAmount = 10
        },
        {
            name = "Equipement alchimique",
            objectTypes = {
                [tes3.objectType.apparatus] = true
            },
        },
        {
            name = "Armures",
            objectTypes ={
                [tes3.objectType.armor] = true
            },
        },
        {
            name = "Livres",
            objectTypes = {
                [tes3.objectType.book] = true
            },
            requiredFields = { type = tes3.bookType.book}
        },
        {
            name = "Vtements",
            objectTypes = {
                [tes3.objectType.clothing] = true
            },
            slots = {
                [tes3.clothingSlot.pants] = true,
                [tes3.clothingSlot.shoes] = true,
                [tes3.clothingSlot.shirt] = true,
                [tes3.clothingSlot.belt] = true,
                [tes3.clothingSlot.robe] = true,
                [tes3.clothingSlot.rightGlove] = true,
                [tes3.clothingSlot.leftGlove] = true,
                [tes3.clothingSlot.skirt] = true,
            }
        },
        {
            name = "Ingrdients",
            objectTypes = {
                [tes3.objectType.ingredient] = true
            },
        },
        {
            name = "Lumires",
            objectTypes = {
                [tes3.objectType.light] = true
            },
            requiredFields = { canCarry = true}
        },
        {
            name = "Crochets et sondes",
            objectTypes = {
                [tes3.objectType.probe] = true,

                [tes3.objectType.lockpick] = true
            },
        },
        {
            name = "Divers",
            objectTypes = {
                [tes3.objectType.miscItem] = true
            },
        },
        {
            name = "Potions",
            objectTypes = {
                [tes3.objectType.alchemy] = true
            },
            resultAmount = 10
        },
        {
            name = "Outils de rparation",
            objectTypes = {
                [tes3.objectType.repairItem] = true
            },
            resultAmount = 1,
        },
        {
            name = "Anneaux",
            objectTypes = {
                [tes3.objectType.clothing] = true
            },
            slots = {
                [tes3.clothingSlot.ring] = true,
                [tes3.clothingSlot.amulet] = true,
            }
        },
        {
            name = "Parchemins (non-magiques)",
            objectTypes = {
                [tes3.objectType.book] = true
            },
            enchanted = false,
            requiredFields = { type = tes3.bookType.scroll}
        },
        {
            name = "Parchemins (magiques)",
            objectTypes = {
                [tes3.objectType.book] = true
            },
            enchanted = true,
            requiredFields = { type = tes3.bookType.scroll }
        },
        {
            name = "Arme",
            objectTypes = {
                [tes3.objectType.weapon] = true
            },
        },
    }
}

--MCM Config (stored as JSON)
this.configPath = "itemBrowser"
this.mcmDefault = {
    enabled = true,
    logLevel = "INFO",
    hotKey = {
        enabled = true,
        keyCode = tes3.scanCode.b,
        isAltDown = true
    },
}

this.save = function(newConfig)
    inMemConfig = newConfig
    mwse.saveConfig(this.configPath, inMemConfig)
end

this.mcm = setmetatable({}, {
    __index = function(_, key)
        inMemConfig = inMemConfig or mwse.loadConfig(this.configPath, this.mcmDefault)
        return inMemConfig[key]
    end,
    __newindex = function(_, key, value)
        inMemConfig = inMemConfig or mwse.loadConfig(this.configPath, this.mcmDefault)
        inMemConfig[key] = value
        mwse.saveConfig(this.configPath, inMemConfig)
    end
})

return this
